
Project Alias - Bug #2378

Compatibility to Redmine 3.0.1

15 Apr 2015 09:16 - Marc M

Status: In Progress Start date:  

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.1   

Redmine version:  External issue:  

Description

internal error with redmine 3.0.1 while try to access a project.

Log:

Started GET "/projects/redmine" for 192.168.0.25 at 2015-04-15 11:05:17 +0200

Processing by ProjectsController#show as HTML

  Parameters: {"id"=>"redmine"}

  Current user: mm (id=3)

Completed 500 Internal Server Error in 8ms (ActiveRecord: 0.2ms)

ArgumentError (The provided regular expression is using multiline anchors (^ or $), which may pres

ent a security risk. Did you mean to use \A and \z, or forgot to add the :multiline => true option

?):

  app/models/project.rb:292:in `find'

  app/controllers/application_controller.rb:293:in `find_project'

Subtasks:

Bug # 2408: Redmine 2.5.xd fails to find project by aliases Closed

Associated revisions

Revision 20 - 31 Aug 2016 08:13 - Andriy Lesyuk

Redmine 3.x support (#2378)

History

#1 - 31 Aug 2016 08:05 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.1.1

#2 - 02 Oct 2016 10:48 - Andriy Lesyuk

- Description updated

- Status changed from Open to In Progress

- % Done changed from 0 to 50
